陈德馨

您的PHP似乎没有安装运行 WordPress 所必需的 MySQL 扩展的解决方法

909人参与 |分类: 站长百科|时间:2014年08月08日 11:49

这已经是一个出现频率很高的问题,很多人使用自己的服务器安装WordPress程序之后,会出现“您的 PHP 似乎没有安装运行 WordPress 所必需的 MySQL 扩展”这样的问题,包括我在内,前几天搬迁服务器,重装系统,重新安装较版本PHP,MYSQL,之后恢复网站数据,以上问题出现了,在网上搜索了一下,大部分是转载的,很多方法经过验证之后发现不靠谱。今天陈德馨就来说这个这个问题的解决方法。

1、对于windows服务器,找开PHP安装位置,找到php.ini,打开

第一步:

确认开启以下扩展

extension=php_mysql.dll

extension=php_mysqli.dll

第二步:

; On windows:

; extension_dir = "ext" 扩展文件存放位置,确认以上丙个扩展文件已经存放在一个叫“ext"的文件夹中,如没有,请下载。

第三步,服务重启,问题解决

2、对于linux服务器,解决方法如下:

第一步:先用SSH登录,打开PHP.ini

#vi /etc/php.ini

第二步:php.ini中 添加

extension=mysql.so

第三步:在PHP.ini 中找到如下

extension_dir = "XXXXXXX"

注:XXX指扩展安装目录,centos64位的主机一般安装在extension_dir = "/usr/lib64/php/modules"

第四步:找到这个扩展安装目录,确认是否有mysql.so这个文件,如果没有,请下载。

重启服务,可以肯定的是,对于大部分服务器,以上方法是可以解决的。

不过我的linux服务器,使用以上对应方法后,发现无效,而网上找来找去都是一个样,想来想去,我的服务器在重装centos时,PHP和MYSQL一并安装了,但版本较低,PHP直接升级,MYSQL升级失败,卸载后重装新版,我想会不会,在升级PHP和安装MYSQL时少了些什么。

用SHH命令

rpm -qa|grep -i php

得到如下结果:

wbm-php-pear-1.5-1

php-mbstring-5.*

php-gd-5.*

php-xmlrpc-5.*

php-common-5.5.*

php-cli-5.*

php-imap-5.*

php-pgsql-5.*

php-snmp-5.*

php-odbc-5.*

php-pdo-5.*

php-5.*

php-xml-5.*

竟然少了下php-mysql,处理方法:直接安装

yum install php-mysql

重启服务问题解决。

来源:陈德馨博客(微信/QQ号:35435164),转载请保留出处和链接!

地址:

必填

选填

选填

◎已有 0 人评论,请发表您的观点。